Author Topic: Ancestris won't open  (Read 46 times)

0 Members and 1 Guest are viewing this topic.

Offline WaldoNC

  • Newbie
  • *
  • Posts: 1
    • View Profile
Ancestris won't open
« on: June 02, 2018, 17:00:42 »
Which Operating System? : Mac

Which version of the O.S.? : High Sierra 10.13.5

Which version of Ancestris? : Ancestris-0.9 (Build 201409082112)

What is your Java version? : 10.0.1

What are the windows opened on your Ancestris application? : Only the logo opening screen with "Initializing..." text

This bug is related to the application itself or a plugin? : NO

If it's about a plugin, which plugin? :  NA

If you use the beta version, do you update Ancestris each time a new version is available? :  NA

This bug appeared right after an update (you didn't get it before, and right now, you have it) :  First time install

Which version of the module is concerned (check the "Help - About" dialog box) : NA

What is the process that makes the bug to appear (the more details  you can give, the better it is) :  Just double-click ancestris.app

Backtrace in the log file :java.lang.SecurityException: setContextClassLoader
   at java.base/jdk.internal.misc.InnocuousThread.setContextClassLoader(InnocuousThread.java:116)
   at org.netbeans.ModuleManager.updateContextClassLoaders(ModuleManager.java:469)
   at org.netbeans.ModuleManager.<init>(ModuleManager.java:164)
   at org.netbeans.core.startup.ModuleSystem.<init>(ModuleSystem.java:109)
   at org.netbeans.core.startup.Main.getModuleSystem(Main.java:169)
   at org.netbeans.core.startup.Main.getModuleSystem(Main.java:150)
   at org.netbeans.core.startup.Main.start(Main.java:307)
   at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:123)
   at java.base/java.lang.Thread.run(Thread.java:844)

Offline FredericL

  • VIP
  • Hero Member
  • *
  • Posts: 100
    • View Profile
    • Généalogie personnelle et logiciel gratuit Ancestris
Re: Ancestris won't open
« Reply #1 on: June 06, 2018, 17:45:40 »
Hi,

Thank you for your message. Welcome !

Ancestris works with java 1.8. Sorry about that. It comes from the fact that it uses an underlying platform from Oracle which requires java 1.8.

So you will need to download it and "swap" java version, until Oracle / Netbeans releases its next version.

Best regards,
Frederic

Offline FredericL

  • VIP
  • Hero Member
  • *
  • Posts: 100
    • View Profile
    • Généalogie personnelle et logiciel gratuit Ancestris
Re: Ancestris won't open
« Reply #2 on: June 16, 2018, 23:26:49 »
Hi,

In case you are still trying, here is an updated version of the documention to install Ancesrtis on MacOS: http://fr.ancestris.org/index.php?title=Installation_MacOS

Regards,
Frederic